% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/wrappers.R
\name{lsmeans}
\alias{lsmeans}
\alias{wrappers}
\alias{pmmeans}
\alias{lstrends}
\alias{pmtrends}
\alias{lsmip}
\alias{pmmip}
\alias{lsm}
\alias{pmm}
\alias{lsmobj}
\alias{pmmobj}
\alias{lsm.options}
\alias{get.lsm.option}
\title{Wrappers for alternative naming of EMMs}
\usage{
lsmeans(...)

pmmeans(...)

lstrends(...)

pmtrends(...)

lsmip(...)

pmmip(...)

lsm(...)

pmm(...)

lsmobj(...)

pmmobj(...)

lsm.options(...)

get.lsm.option(x, default = emm_defaults[[x]])
}
\arguments{
\item{...}{Arguments passed to the corresponding \code{em}\emph{xxxx} function}

\item{x}{Character name of desired option}

\item{default}{default value to return if \code{x} not found}
}
\value{
The result of the call to \code{em}\emph{xxxx}, suitably modified.

\code{get.lsm.option} and \code{lsm.options} remap options from
  and to corresponding options in the \pkg{lsmeans} options system.
}
\description{
These are wrappers for \code{\link{emmeans}} and realated functions to provide
backward compatibility, or for users who may prefer to
use other terminology than \dQuote{estimated marginal means} -- namely 
\dQuote{least-squares means} or \dQuote{predicted marginal means}.
}
\details{
For each function with \code{ls}\emph{xxxx} or \code{pm}\emph{xxxx} in its name,
the same function named \code{em}\emph{xxxx} is called. Any estimator names or 
list items beginning with \dQuote{em} are replaced with \dQuote{ls} or 
\dQuote{pm} before the results are returned
}
\examples{
pigs.lm <- lm(log(conc) ~ source + factor(percent), data = pigs)
lsmeans(pigs.lm, "source")
}
